> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create workflow run task

> Trigger a workflow run asynchronously and return run_id immediately.



## OpenAPI

````yaml /en/api-reference/adp-api.yaml post /open/agentic_engine/laiye/v1/app/run/create/task
openapi: 3.1.0
info:
  title: ADP API
  version: 1.0.0
  description: >-
    Laiye ADP OpenAPI reference for document extraction, document recognition,
    application management, credit usage, workflow runs, and workflow file
    management.
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://adp-global.laiye.com
    description: ADP global production endpoint
security: []
tags:
  - name: Document extraction
    description: Extract structured fields from uploaded documents.
  - name: Document recognition
    description: Recognize text, layout blocks, and positions from uploaded documents.
  - name: Application management
    description: >-
      Create, update, delete, and query extraction applications and
      configurations.
  - name: Account
    description: Query credit usage.
  - name: Workflow
    description: Run workflow applications and query run results.
  - name: Workflow files
    description: Upload and manage files used by workflow applications.
paths:
  /open/agentic_engine/laiye/v1/app/run/create/task:
    post:
      tags:
        - Workflow
      summary: Create workflow run task
      description: Trigger a workflow run asynchronously and return run_id immediately.
      operationId: createWorkflowRunTask
      requestBody:
        $ref: '#/components/requestBodies/WorkflowRunRequest'
      responses:
        '200':
          $ref: '#/components/responses/WorkflowRunResponse'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - EngineApiKeyAuth: []
components:
  requestBodies:
    WorkflowRunRequest:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/WorkflowRunRequest'
  responses:
    WorkflowRunResponse:
      description: Workflow run result.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/WorkflowRunResponse'
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SimpleResponse'
  schemas:
    WorkflowRunRequest:
      type: object
      additionalProperties: false
      properties:
        application_id:
          type: string
        release_version_id:
          type: string
        session_id:
          type: string
        files:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              url:
                type: string
              name:
                type: string
              mime_type:
                type: string
              size:
                type: integer
            required:
              - url
              - name
              - mime_type
        inputs:
          type: object
          additionalProperties: false
          properties:
            query:
              type: string
              description: >-
                Example workflow input. Actual fields depend on the workflow
                input configuration.
      required:
        - application_id
    WorkflowRunResponse:
      allOf:
        - $ref: '#/components/schemas/SimpleResponse'
        - type: object
          properties:
            data:
              type: object
              additionalProperties: true
    SimpleResponse:
      type: object
      properties:
        code:
          oneOf:
            - type: string
            - type: integer
          description: Business code. A successful response is usually success or 200.
        message:
          type: string
          description: Response message.
        tips:
          type:
            - string
            - 'null'
          description: Details. Defaults to null.
  securitySchemes:
    EngineApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Workflow engine API access key.

````